org.apache.lucene.analysis.snowball

## Class SnowballFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.snowball.SnowballFilter

-     public class SnowballFilter
      extends org.apache.lucene.analysis.TokenFilter

  A filter that stems words using a Snowball-generated stemmer. Available stemmers are listed in `org.tartarus.snowball.ext`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

      `input`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SnowballFilter(org.apache.lucene.analysis.TokenStream input, SnowballProgram stemmer)`
    `SnowballFilter(org.apache.lucene.analysis.TokenStream in, java.lang.String name)` Construct the named stemming filter.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `incrementToken()` Returns the next input Token, after being stemmed
    `org.apache.lucene.analysis.Token` | `next()` Deprecated. Will be removed in Lucene 3.0. This method is final, as it should not be overridden. Delegates to the backwards compatibility layer.
    `org.apache.lucene.analysis.Token` | `next(org.apache.lucene.analysis.Token reusableToken)` Deprecated. Will be removed in Lucene 3.0. This method is final, as it should not be overridden. Delegates to the backwards compatibility layer.

    - ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

      `close, end, reset`

    - ### Methods inherited from class org.apache.lucene.analysis.TokenStream

      `getOnlyUseNewAPI, setOnlyUseNewAPI`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, restoreState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SnowballFilter

          public SnowballFilter(org.apache.lucene.analysis.TokenStream input,
                                SnowballProgram stemmer)

    - #### SnowballFilter

          public SnowballFilter(org.apache.lucene.analysis.TokenStream in,
                                java.lang.String name)

      Construct the named stemming filter. Available stemmers are listed in `org.tartarus.snowball.ext`. The name of a stemmer is the part of the class name before "Stemmer", e.g., the stemmer in `EnglishStemmer` is named "English".
      Parameters:
        `in` - the input tokens to stem
        `name` - the name of a stemmer

  - ### Method Detail

    - #### incrementToken

          public final boolean incrementToken()
                                       throws java.io.IOException

      Returns the next input Token, after being stemmed
      Overrides:
        `incrementToken` in class `org.apache.lucene.analysis.TokenStream`
      Throws:
        `java.io.IOException`

    - #### next

          public final org.apache.lucene.analysis.Token next(org.apache.lucene.analysis.Token reusableToken)
                                                      throws java.io.IOException

      Deprecated. Will be removed in Lucene 3.0. This method is final, as it should not be overridden. Delegates to the backwards compatibility layer.
      Overrides:
        `next` in class `org.apache.lucene.analysis.TokenStream`
      Throws:
        `java.io.IOException`

    - #### next

          public final org.apache.lucene.analysis.Token next()
                                                      throws java.io.IOException

      Deprecated. Will be removed in Lucene 3.0. This method is final, as it should not be overridden. Delegates to the backwards compatibility layer.
      Overrides:
        `next` in class `org.apache.lucene.analysis.TokenStream`
      Throws:
        `java.io.IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.